VULKAN_HPP_NAMESPACE::FlagTraits< CommandPoolCreateFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(CommandPoolCreateFlagBits::eTransient) | VkFlags(CommandPoolCreateFlagBits::eResetCommandBuffer) | VkFlags(CommandPoolCreateFlagBits::eProtected) }

## Detailed Description

Definition at line 26820 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 26822 of file vulkan.hpp.

{
allFlags = VkFlags(CommandPoolCreateFlagBits::eTransient) | VkFlags(CommandPoolCreateFlagBits::eResetCommandBuffer) | VkFlags(CommandPoolCreateFlagBits::eProtected)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::CommandPoolCreateFlagBits::eTransient
@ eTransient
VULKAN_HPP_NAMESPACE::CommandPoolCreateFlagBits::eProtected
@ eProtected
VULKAN_HPP_NAMESPACE::FlagTraits< CommandPoolCreateFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:26824
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::CommandPoolCreateFlagBits::eResetCommandBuffer
@ eResetCommandBuffer